package com.peetz.library.dal;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.ShelfboardEntity;

@Local
public interface ShelfboardDao {
	public ShelfboardEntity getById(Long id);
	public Collection<ShelfboardEntity> getByIds(Collection<Long> ids);
	public ShelfboardEntity store(ShelfboardEntity entity);
	public void delete(ShelfboardEntity entity);
}
